version: "3"
services:

  web:
    container_name: nulist-api
    build:
      context: .
      dockerfile: Dockerfile
    image: nulist-api
    tty: true
    stdin_open: true
    volumes:
      - .:/app
    ports:
      - "8080:5000"
    links:
      - db
    environment:
      ASPNETCORE_ENVIRONMENT: Development

  db:
    container_name: nulist-db
    image: postgres:10.4-alpine
    ports:
      - "8081:5432"
    environment:
      POSTGRES_USER: root
      POSTGRES_PASSWORD: toor
    volumes:
      - "postgres:/var/lib/postgresql/data"

volumes:
  postgres:
